### Method

# GtkSource View set_smart_home_end

#### Declaration [src]

    void
    gtk_source_view_set_smart_home_end (
      GtkSourceView* view,
      GtkSourceSmartHomeEndType smart_home_end
    )

#### Description [src]

Set the desired movement of the cursor when HOME and END keys are pressed.

Sets property | `GtkSource.View:smart-home-end`

#### Parameters

`smart_home_end`

  Type: `GtkSourceSmartHomeEndType`

  The desired behavior among `GtkSourceSmartHomeEndType`.